Version bump to 0.6.0.

parent cd44fd8b
...@@ -21,7 +21,7 @@ greaterThan(QT_MAJOR_VERSION, 4): QT += widgets ...@@ -21,7 +21,7 @@ greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
TARGET = qtah TARGET = qtah
TEMPLATE = lib TEMPLATE = lib
VERSION = 0.5.0 VERSION = 0.6.0
# Doesn't seem to work here: CONFIG += c++11 # Doesn't seem to work here: CONFIG += c++11
QMAKE_CXXFLAGS += -std=c++11 QMAKE_CXXFLAGS += -std=c++11
......
...@@ -21,7 +21,7 @@ ...@@ -21,7 +21,7 @@
}: }:
mkDerivation ({ mkDerivation ({
pname = "qtah-cpp"; pname = "qtah-cpp";
version = "0.5.1"; version = "0.6.0";
src = ./.; src = ./.;
libraryHaskellDepends = [ base Cabal qtah-generator ]; libraryHaskellDepends = [ base Cabal qtah-generator ];
librarySystemDepends = [ qt ]; librarySystemDepends = [ qt ];
......
name: qtah-cpp name: qtah-cpp
version: 0.5.1 version: 0.6.0
synopsis: Qt bindings for Haskell - C++ library synopsis: Qt bindings for Haskell - C++ library
homepage: http://khumba.net/projects/qtah homepage: http://khumba.net/projects/qtah
license: LGPL-3 license: LGPL-3
...@@ -50,7 +50,7 @@ library ...@@ -50,7 +50,7 @@ library
build-depends: build-depends:
base >=4 && <5 base >=4 && <5
, process >=1.2 && <1.7 , process >=1.2 && <1.7
, qtah-generator >=0.5 && <0.6 , qtah-generator >=0.6 && <0.7
ghc-options: -W -fwarn-incomplete-patterns -fwarn-unused-do-bind ghc-options: -W -fwarn-incomplete-patterns -fwarn-unused-do-bind
custom-setup custom-setup
......
...@@ -24,7 +24,7 @@ ...@@ -24,7 +24,7 @@
}: }:
mkDerivation ({ mkDerivation ({
pname = "qtah-examples"; pname = "qtah-examples";
version = "0.5.0"; version = "0.6.0";
src = ./.; src = ./.;
isLibrary = false; isLibrary = false;
isExecutable = true; isExecutable = true;
......
name: qtah-examples name: qtah-examples
version: 0.5.0 version: 0.6.0
synopsis: Example programs for Qtah Qt bindings synopsis: Example programs for Qtah Qt bindings
homepage: http://khumba.net/projects/qtah homepage: http://khumba.net/projects/qtah
license: LGPL-3 license: LGPL-3
...@@ -28,6 +28,6 @@ executable qtah-examples ...@@ -28,6 +28,6 @@ executable qtah-examples
, containers <0.6 , containers <0.6
, filepath >=1.0 && <1.5 , filepath >=1.0 && <1.5
, hoppy-runtime >=0.5 && <0.6 , hoppy-runtime >=0.5 && <0.6
, qtah >=0.5 && <0.6 , qtah >=0.6 && <0.7
ghc-options: -W -fwarn-incomplete-patterns -fwarn-unused-do-bind -dynamic ghc-options: -W -fwarn-incomplete-patterns -fwarn-unused-do-bind -dynamic
default-language: Haskell2010 default-language: Haskell2010
...@@ -22,7 +22,7 @@ ...@@ -22,7 +22,7 @@
}: }:
mkDerivation ({ mkDerivation ({
pname = "qtah-generator"; pname = "qtah-generator";
version = "0.5.0"; version = "0.6.0";
src = ./.; src = ./.;
isLibrary = true; isLibrary = true;
isExecutable = true; isExecutable = true;
......
name: qtah-generator name: qtah-generator
version: 0.5.0 version: 0.6.0
synopsis: Generator for Qtah Qt bindings synopsis: Generator for Qtah Qt bindings
homepage: http://khumba.net/projects/qtah homepage: http://khumba.net/projects/qtah
license: LGPL-3 license: LGPL-3
......
...@@ -22,7 +22,7 @@ ...@@ -22,7 +22,7 @@
}: }:
mkDerivation ({ mkDerivation ({
pname = "qtah"; pname = "qtah";
version = "0.5.1"; version = "0.6.0";
src = ./.; src = ./.;
libraryHaskellDepends = [ libraryHaskellDepends = [
base binary bytestring hoppy-runtime qtah-cpp qtah-generator base binary bytestring hoppy-runtime qtah-cpp qtah-generator
......
name: qtah name: qtah
version: 0.5.1 version: 0.6.0
synopsis: Qt bindings for Haskell synopsis: Qt bindings for Haskell
homepage: http://khumba.net/projects/qtah homepage: http://khumba.net/projects/qtah
license: LGPL-3 license: LGPL-3
...@@ -387,8 +387,8 @@ library ...@@ -387,8 +387,8 @@ library
, binary >=0.7 && <0.9 , binary >=0.7 && <0.9
, bytestring >=0.10 && <0.11 , bytestring >=0.10 && <0.11
, hoppy-runtime >=0.5 && <0.6 , hoppy-runtime >=0.5 && <0.6
, qtah-cpp >=0.5 && <0.6 , qtah-cpp >=0.6 && <0.7
, qtah-generator >=0.5 && <0.6 , qtah-generator >=0.6 && <0.7
hs-source-dirs: src hs-source-dirs: src
ghc-options: -W -fwarn-incomplete-patterns -fwarn-unused-do-bind ghc-options: -W -fwarn-incomplete-patterns -fwarn-unused-do-bind
default-language: Haskell2010 default-language: Haskell2010
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment